VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form Form1 
   Caption         =   "Draft zum Model erstellen"
   ClientHeight    =   495
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   495
   ScaleWidth      =   4680
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   10000
      Left            =   2040
      Top             =   960
   End
   Begin MSComDlg.CommonDialog cmnOpen 
      Left            =   1320
      Top             =   600
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lblInfo 
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'Copyright (C) 2003  Jrgen Niesner, Stefan Rhrl
'This program is free software; you can redistribute it and/or modify it under the terms of the
'GNU General Public License as published by the Free Software Foundation; either version 2 of the
'License, or (at your option) any later version.

'This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
'even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License along with this program; if not,
'write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
'
'Auf Deutsch (ohen Garantie fr die bersetzung)
'Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der GNU General Public License,
'wie von der Free Software Foundation verffentlicht, weitergeben und/oder modifizieren, entweder gem
'Version 2 der Lizenz oder (nach Ihrer Option) jeder spteren Version.

'Die Verffentlichung dieses Programms erfolgt in der Hoffnung, da es Ihnen von Nutzen sein wird, aber
'OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FR
'EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

'Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls
'nicht, schreiben Sie an die Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

'=========================

'---------------------------------------------------------------------------------------
' Module    : Form1
' DateTime  : 23.07.2003 16:13
' Author    : Niesner
' Purpose   : dieses Progi erstellt ein neues Draft und startet den DrawingViewWizard mit dem Pfad des
'           : aktuell offenen 3D-Models
' Info      : Das Macro kann ber anpassen/Macros in jedes 3D-Environment eingefgt werden
' ChangeLog :
'---------------------------------------------------------------------------------------

Option Explicit
Option Base 0

Dim WithEvents seEvents As SolidEdgeFramework.FileUIEvents              'SolidEdge-Ereignisse fr dateihandling
Attribute seEvents.VB_VarHelpID = -1
Dim SE As SolidEdgeFramework.Application                                'SolidEdge
Dim sVorlage As String                                                  'Pafd zur Vorlage
Dim sModelPfad As String                                                'Pfad zum Model

'---------------------------------------------------------------------------------------
' Procedure : Form_Load
' DateTime  : 23.07.2003 16:15
' Author    : Niesner
' Purpose   : Start Prozedure frs Progi
' Info      :
'---------------------------------------------------------------------------------------
Private Sub Form_Load()
    Dim Draft As SolidEdgeDraft.DraftDocument                           'Platz fr ein DFT
    Me.Timer1.Enabled = False                                           'Der Timer darf nicht laufen
    Me.lblInfo.Caption = "Draftdatei zum Model wird erstellt"           'Damit auch was da steht
    Set SE = GetObject(, "SolidEdge.Application")                       'Ref auf SolidEdge holen
    sModelPfad = SE.ActiveDocument.FullName                             'Pfad das aktiven Modells lesen
    With Me
        .cmnOpen.InitDir = SE.Documents.TemplatePath                    'Standardmig VorlagenPfad verwenden
        .cmnOpen.Filename = "Normal.dft"                                'Stanmdardmsig soll die normal.dft verwednte werden
                                                                        'Dialog kann mit Enter besttigt werden
        .cmnOpen.Filter = "Draft-Vorlagen|*.dft|"                       'Nur DFTs
        .cmnOpen.ShowOpen                                               'Anzeigen
        If (.cmnOpen.Filename <> "") And (Dir(.cmnOpen.Filename) <> "") And (InStr(1, .cmnOpen.Filename, "*") = 0) Then
                                                                        'Wurd was ausgewhlt
            sVorlage = .cmnOpen.Filename                                'Vorlagepfad merken
            Set Draft = SE.Documents.Add("SolidEdge.DraftDocument", sVorlage) 'Neues DFT
            Set seEvents = SE.FileUIEvents                              'SEFile-Events abfangen
            SE.StartCommand (25101)                                     'Commando "DetailDrawingViewsViewofPart" starten
        End If
    End With
    Set Draft = Nothing                                                 'referenz killen
End Sub

'---------------------------------------------------------------------------------------
' Procedure : seEvents_OnFileOpenUI
' DateTime  : 23.07.2003 16:15
' Author    : Niesner
' Purpose   : SolidEdge Event abfangen damit kein Dateiauswahldialog hochkommt
' Info      :
'---------------------------------------------------------------------------------------
Private Sub seEvents_OnFileOpenUI(Filename As String, AppendToTitle As String)
    Filename = sModelPfad                                               'Dem ereignis den Pfad zum Model zurck geben
    'eigentlich sind wir fertig und knnten das Progi beenden. Wenn END aber hier steht wird das Ereignis nicht
    'fertig abgearbeitet und der DrawingViewWizard kommt nicht hoch ==> Timer Krcke
    Me.Timer1.Interval = 100                                            '100 mSek warten
    Me.Timer1.Enabled = True                                            'Timer Starten
End Sub

'---------------------------------------------------------------------------------------
' Procedure : Timer1_Timer
' DateTime  : 23.07.2003 16:16
' Author    : Niesner
' Purpose   : Timer Event abfangen, zum verspteteten beenden des Progis
' Info      :
'---------------------------------------------------------------------------------------
Private Sub Timer1_Timer()
    'Wenn wir es nicht oben beenden knnen machen wir es hier
    Set seEvents = Nothing
    Set SE = Nothing
    End                                                                 'eigentlich ist END verboten
End Sub
